## org.apache.lucene.queryParser.standard.config
Interface DateResolutionAttribute

All Superinterfaces:
  org.apache.lucene.util.Attribute

All Known Implementing Classes:
  DateResolutionAttributeImpl

    public interface DateResolutionAttribute

extends org.apache.lucene.util.Attribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `DateTools.Resolution` to use when parsing the date.

Method Summary
`org.apache.lucene.document.DateTools.Resolution` `getDateResolution()`
`void` `setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)` Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set.

Method Detail

### setDateResolution

    void setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)

  Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set. Field specific resolutions can be set with

  Parameters:
    `dateResolution` - the default date resolution to set

### getDateResolution

    org.apache.lucene.document.DateTools.Resolution getDateResolution()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.